## gitstats 2010.07.27

=== Makefile ===
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
RESOURCEDIR=$(PREFIX)/share/gitstats
RESOURCES=gitstats.css sortable.js *.gif
BINARIES=gitstats
VERSION=$(shell git describe 2>/dev/null || git rev-parse --short HEAD)
SEDVERSION=sed -i 's/VERSION = 0/VERSION = "$(VERSION)"/'

all: help

help:
	@echo "Usage:"
	@echo
	@echo "make install                   # install to ${PREFIX}"
	@echo "make install PREFIX=~          # install to ~"
	@echo "make release [VERSION=foo]     # make a release tarball"
	@echo

install:
	install -d $(BINDIR) $(RESOURCEDIR)
	install -v $(BINARIES) $(BINDIR)
	install -v -m 644 $(RESOURCES) $(RESOURCEDIR)
	$(SEDVERSION) $(BINDIR)/gitstats

release:
	@cp gitstats gitstats.tmp
	@$(SEDVERSION) gitstats.tmp
	@tar --owner=0 --group=0 --transform 's!^!gitstats/!' --transform 's!gitstats.tmp!gitstats!' -zcf gitstats-$(VERSION).tar.gz gitstats.tmp $(RESOURCES) doc/ Makefile
	@$(RM) gitstats.tmp

.PHONY: all help install release

## gitstats 2010.06.10

=== debian/changelog ===
gitstats (2010.06.10-1) unstable; urgency=low

  * Pulling upstream until 2c38acfd051755
  * Includes a fix for deprecated string exceptions (closes: 585225)

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 10 Jun 2010 20:52:05 +0200

gitstats (2010.02.06-1) unstable; urgency=low

  * Pulling newer upstream version from its git repository
  * Fix the missing epoch in depends on git-core, thanks to Jonathan
    Nieder <jrnieder@gmail.com> for finding out (closes: #568584)
  * Already conforms to standards 3.8.4
  * Switch to source format 3.0 (quilt)
  * Take care of possible dh-induced dependencies

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 06 Feb 2010 09:49:10 +0100

gitstats (2009.09.10-1) unstable; urgency=low

  * Initial debian packaging (closes: #440392)
  * Wrote a manual page
  * Adding a Homepage and Vcs-* fields

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 10 Sep 2009 21:59:19 +0200

=== debian/control ===
Source: gitstats
Section: vcs
Priority: optional
Maintainer: Vincent Fourmond <fourmond@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.4
Homepage: http://gitstats.sourceforge.net/
Vcs-Git: git://git.debian.org/git/users/fourmond/packages/gitstats.git
Vcs-Browser: http://git.debian.org/?p=users/fourmond/packages/gitstats.git


Package: gitstats
Architecture: all
Depends: python (>= 2.4.4), git-core (>= 1:1.5.2.4), gnuplot-nox (>= 4.0),
	 ${misc:Depends}
Description: statistics generator for git repositories
 GitStats is a statistics generator for git repositories. It examines
 the repository and produces some interesting statistics from the
 history. Currently it outputs only HTML.
 .
 It is the equivalent of statcvs and statsvn for git repositories.

=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_install

binary-arch:
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gitstats 2010.07.27

=== debian/changelog ===
gitstats (2010.07.27-1) unstable; urgency=low

  * Pulling upstream until e98d2c93501a60
  * Already conforms to standards 3.9.1

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 27 Jul 2010 00:32:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vincent Fourmond <fourmond@debian.org>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://gitstats.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/users/fourmond/packages/gitstats.git
 Vcs-Browser: http://git.debian.org/?p=users/fourmond/packages/gitstats.git

## gitstats 2010.09.28

=== debian/changelog ===
gitstats (2010.09.28-1) unstable; urgency=low

  * Pulling new upstream revisions (until dc0bbb2)
  * Make VERSION the Debian version (closes: #595971)
  * Now using upstream's manpage, rather not clever of me not to notice
    before !
  * Updating dependencies to follow git package name change 
    (closes: #600236). Many thanks to Denis Laxalde <dlaxalde@gmail.com> 
    for the bug report and the fix !

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 16 Oct 2010 13:59:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: vcs
 Priority: optional
 Maintainer: Vincent Fourmond <fourmond@debian.org>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), perl
 Standards-Version: 3.9.1
 Homepage: http://gitstats.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/users/fourmond/packages/gitstats.git
@@ -11,8 +11,8 @@
 
 Package: gitstats
 Architecture: all
-Depends: python (>= 2.4.4), git-core (>= 1:1.5.2.4), gnuplot-nox (>= 4.0),
-	 ${misc:Depends}
+Depends: python (>= 2.4.4), git (>= 1:1.7) | git-core (>= 1:1.5.2.4),
+ gnuplot-nox (>= 4.0),${misc:Depends}
 Description: statistics generator for git repositories
  GitStats is a statistics generator for git repositories. It examines
  the repository and produces some interesting statistics from the

## gitstats 2011.02.09

=== debian/changelog ===
gitstats (2011.02.09-1) unstable; urgency=low

  * Pulling new upstream revisions (until f1ab9e83)

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 11 Feb 2011 14:06:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,24 @@
 #!/usr/bin/make -f
 
+# TODO: I should use upstream's Makefile with VERSION=$(VERSION) for
+# installation, that would stop me making the same work as upstream's
+# Makefile.
+
+TMPDIR = tmp-debian-build
+VERSION =  $(shell dpkg-parsechangelog | egrep '^Version' | \
+        sed -r 's/Version:\s*//' | sed -r 's/^[0-9]+://' | \
+        sed -r 's/(\.dfsg)?-[0-9.]+//')
+
+
 build:
+	mkdir -p $(TMPDIR)
+	cat gitstats | perl -p -e 's/VERSION = 0/VERSION = "$(VERSION)"/' > $(TMPDIR)/gitstats
+	pod2man --center "User Commands" -r $(VERSION) doc/gitstats.pod > doc/gitstats.1
+
 
 clean:
+	rm -rf $(TMPDIR)
+	rm -f doc/gitstats.1
 	dh_testdir
 	dh_clean

## gitstats 2011.11.08

=== debian/changelog ===
gitstats (2011.11.08-1) unstable; urgency=low

  * Pulling in new upstream revisions (closes: #648007)
  * Add build-indep/build-arch targets in debian/rules
  * Conforms to newer standards

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 08 Nov 2011 18:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vincent Fourmond <fourmond@debian.org>
 Build-Depends: debhelper (>= 5), perl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://gitstats.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/users/fourmond/packages/gitstats.git
 Vcs-Browser: http://git.debian.org/?p=users/fourmond/packages/gitstats.git

## gitstats 2012.05.10

=== debian/changelog ===
gitstats (2012.05.10-1) unstable; urgency=low

  * Pulling in new upstream revisions
  * Use unversioned dependencies on gnuplot-nox so that they are satisfied 
    by virtual packages (closes: #671599)
  * Now conforms to standards 3.9.3

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 10 May 2012 00:43:33 +0200

## gitstats 2012.05.28

=== debian/changelog ===
gitstats (2012.05.28-1) unstable; urgency=low

  * Pulling in new upstream revisions
    - now calling all subprocesses with LANG=C (closes: #674845)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 28 May 2012 22:09:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vincent Fourmond <fourmond@debian.org>
 Build-Depends: debhelper (>= 5), perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://gitstats.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/users/fourmond/packages/gitstats.git
 Vcs-Browser: http://git.debian.org/?p=users/fourmond/packages/gitstats.git
@@ -12,7 +12,7 @@
 Package: gitstats
 Architecture: all
 Depends: python (>= 2.4.4), git (>= 1:1.7) | git-core (>= 1:1.5.2.4),
- gnuplot-nox (>= 4.0),${misc:Depends}
+ gnuplot-nox,${misc:Depends}
 Description: statistics generator for git repositories
  GitStats is a statistics generator for git repositories. It examines
  the repository and produces some interesting statistics from the

## gitstats 2012.08.30

=== debian/changelog ===
gitstats (2012.08.30-1) unstable; urgency=low

  * Pulling in new upstream revisions
    - avoid division by zero problems (closes: #677525)

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 30 Aug 2012 21:53:55 +0200

## gitstats 2013.12.07

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 RESOURCES=gitstats.css sortable.js *.gif
 BINARIES=gitstats
 VERSION=$(shell git describe 2>/dev/null || git rev-parse --short HEAD)
-SEDVERSION=sed -i 's/VERSION = 0/VERSION = "$(VERSION)"/'
+SEDVERSION=perl -pi -e 's/VERSION = 0/VERSION = "$(VERSION)"/' --
 
 all: help
 
@@ -28,4 +28,7 @@
 	@tar --owner=0 --group=0 --transform 's!^!gitstats/!' --transform 's!gitstats.tmp!gitstats!' -zcf gitstats-$(VERSION).tar.gz gitstats.tmp $(RESOURCES) doc/ Makefile
 	@$(RM) gitstats.tmp
 
+man:
+	pod2man --center "User Commands" -r $(shell git rev-parse --short HEAD) doc/gitstats.pod > doc/gitstats.1
+
 .PHONY: all help install release

=== debian/changelog ===
gitstats (2013.12.07-1) unstable; urgency=low

  * Pulling in new upstream revisions, until c447e55a7 (closes: #731469)
  * Conforms to standards 3.9.5

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 07 Dec 2013 22:31:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vincent Fourmond <fourmond@debian.org>
 Build-Depends: debhelper (>= 5), perl
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://gitstats.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/users/fourmond/packages/gitstats.git
 Vcs-Browser: http://git.debian.org/?p=users/fourmond/packages/gitstats.git

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,14 @@
         sed -r 's/Version:\s*//' | sed -r 's/^[0-9]+://' | \
         sed -r 's/(\.dfsg)?-[0-9.]+//')
 
+build-arch:
 
-build:
+build-indep:
 	mkdir -p $(TMPDIR)
 	cat gitstats | perl -p -e 's/VERSION = 0/VERSION = "$(VERSION)"/' > $(TMPDIR)/gitstats
 	pod2man --center "User Commands" -r $(VERSION) doc/gitstats.pod > doc/gitstats.1
+
+build: build-arch build-indep
 
 
 clean:

## gitstats 2015.10.03

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RESOURCEDIR=$(PREFIX)/share/gitstats
 RESOURCES=gitstats.css sortable.js *.gif
 BINARIES=gitstats
-VERSION=$(shell git describe 2>/dev/null || git rev-parse --short HEAD)
+VERSION=$(shell git describe 2>/dev/null || git rev-parse --short HEAD 2>/dev/null || date +%Y-%m-%d)
 SEDVERSION=perl -pi -e 's/VERSION = 0/VERSION = "$(VERSION)"/' --
 
 all: help
@@ -29,6 +29,6 @@
 	@$(RM) gitstats.tmp
 
 man:
-	pod2man --center "User Commands" -r $(shell git rev-parse --short HEAD) doc/gitstats.pod > doc/gitstats.1
+	pod2man --center "User Commands" -r $(VERSION) doc/gitstats.pod > doc/gitstats.1
 
 .PHONY: all help install release

=== debian/changelog ===
gitstats (2015.10.03-1) unstable; urgency=medium

  * Pulling in new upstream revisions, until e35fea2b9a3 (closes: #800731)
  * Patch fix-shebang.diff to ensure python 2.7 is used
  * Update various meta-data

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 03 Oct 2015 22:35:35 +0200

=== debian/control ===
Source: gitstats
Section: vcs
Priority: optional
Maintainer: Vincent Fourmond <fourmond@debian.org>
Build-Depends: debhelper (>= 5), perl
Standards-Version: 3.9.6
Homepage: http://gitstats.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/users/fourmond/packages/gitstats.git
Vcs-Browser: http://git.debian.org/?p=users/fourmond/packages/gitstats.git


Package: gitstats
Architecture: all
Depends: python2.7, git (>= 1:1.7) | git-core (>= 1:1.5.2.4),
 gnuplot-nox,${misc:Depends}
Description: statistics generator for git repositories
 GitStats is a statistics generator for git repositories. It examines
 the repository and produces some interesting statistics from the
 history. Currently it outputs only HTML.
 .
 It is the equivalent of statcvs and statsvn for git repositories.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_install
 
 binary-arch:
